CheckScript
POST
/api/v1/t/{tenant}/workflows/scripts/check
const url = 'https://example.com/api/v1/t/example/workflows/scripts/check';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"source":"example","sdkVersion":"example","hook":"OnDocumentArrived","definitionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","stepName":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/t/example/workflows/scripts/check \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "source": "example", "sdkVersion": "example", "hook": "OnDocumentArrived", "definitionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "stepName": "example" }'Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „ Parameters “Path Parameters
Abschnitt betitelt „Path Parameters“tenant
required
string
Tenant slug
Request Bodyrequired
Abschnitt betitelt „Request Bodyrequired“Responses
Abschnitt betitelt „ Responses “OK
Media typeapplication/json
object
diagnostics
required
Array<object>
object
code
required
string
severity
required
message
required
string
line
required
integer format: int32
column
required
integer format: int32
endLine
required
integer format: int32
endColumn
required
integer format: int32
Example
{ "diagnostics": [ { "severity": "Error" } ]}Bad Request
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Payload Too Large
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Unsupported Media Type
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Service Unavailable
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}